Search order details
Search order details and status for orders fulfilling defined criteria. Retrieve up to 500 orders. Works only for orders created within last 30 days.
status takes one value per request. createdAfter and createdBefore are ISO 8601 timestamps.Find orders that are working and have not filled. The code samples and the playground use this request.
| Name | Type | Required | Description |
|---|---|---|---|
| accountId | string | Yes | - |
NEW,PARTIALLY_FILLED,CANCELLED,QUEUED_CANCELLED,FILLED,REJECTED,PENDING_REPLACE,PENDING_CANCEL,EXPIRED,REPLACEDBUY,SELLOPEN,CLOSEEQUITY,OPTION,MULTI_LEG_INSTRUMENT,CRYPTO,ALT,TREASURY,BOND,INDEX,EVENTCONTRACTInvalid account ID.
No response body defined
{
"orders": [
{
"orderId": "string",
"bracketId": "string",
"instrument": {
"symbol": "string",
"type": "EQUITY"
},
"createdAt": "2023-11-07T05:31:56Z",
"type": "MARKET",
"side": "BUY",
"status": "NEW",
"quantity": "string",
"notionalValue": "string",
"expiration": {
"timeInForce": "DAY",
"expirationTime": "2023-11-07T05:31:56Z"
},
"limitPrice": "string",
"stopPrice": "string",
"closedAt": "2023-11-07T05:31:56Z",
"openCloseIndicator": "OPEN",
"filledQuantity": "string",
"averagePrice": "string",
"legs": [
{
"instrument": {
"symbol": "string",
"type": "EQUITY"
},
"side": "BUY",
"openCloseIndicator": "OPEN",
"ratioQuantity": 123
}
],
"equityMarketSession": "REGULAR",
"filledAt": "2023-11-07T05:31:56Z",
"replacedAt": "2023-11-07T05:31:56Z",
"lastModified": "2023-11-07T05:31:56Z",
"trades": [
{
"instrument": {
"symbol": "string",
"type": "EQUITY"
},
"quantity": "string",
"price": "string",
"side": "BUY",
"tradeId": "string",
"timestamp": "2023-11-07T05:31:56Z",
"marketIdentificationCode": "string"
}
],
"rejectReason": "string"
}
]
}